package com.mortals.xhx.module.model.web;

import com.alibaba.fastjson.JSONObject;
import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonPhpController;
import com.mortals.framework.web.BasePhpCRUDJsonMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.model.model.ModelEntity;
import com.mortals.xhx.module.model.model.ModelQuery;
import com.mortals.xhx.module.model.service.ModelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Arrays;
import java.util.Map;

/**
 * 模块
 *
 * @author zxfei
 * @date 2022-01-20
 */
@RestController
@RequestMapping("model")
public class ModelController extends BasePhpCRUDJsonMappingController<ModelService, ModelForm, ModelEntity, Long> {

    @Autowired
    private ParamService paramService;

    public ModelController() {
        super.setFormClass(ModelForm.class);
        super.setModuleDesc("模块");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        super.init(model, context);
    }

   
}